Bug 7932 - support several binaries in CCACHE_PREFIX
support several binaries in CCACHE_PREFIX
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.1.4
All Linux
: P3 enhancement
: 3.2
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-25 07:26 UTC by Mark Starovoytov
Modified: 2014-11-17 19:23 UTC (History)
0 users

See Also:


Attachments
proposed patch for ccache-3.1.4 (1.89 KB, patch)
2011-01-25 07:27 UTC, Mark Starovoytov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Starovoytov 2011-01-25 07:26:09 UTC
In order to setup ccache+dmucs+distcc toolchain, ccache should be improved to support several binaries in CCACHE_PREFIX environment variable.
Comment 1 Mark Starovoytov 2011-01-25 07:27:07 UTC
Created attachment 6226 [details]
proposed patch for ccache-3.1.4

Attaching patch for review.
Comment 2 Joel Rosdahl 2011-02-02 13:54:33 UTC
Thanks, looks good.
Comment 3 Joel Rosdahl 2011-09-25 15:58:02 UTC
Applied in b453d43ac0dc7097bb8afb74db70ccf5cde3a914 on the master branch (which eventually will be version 3.2).
Comment 4 Joel Rosdahl 2014-11-17 19:23:55 UTC
Included in v3.2.